﻿#ifndef __XGLOBAL_ERROR_H__

#define __XGLOBAL_ERROR_H__

//////////////////////////////////////////////////////////////////////////
/// 错误值定义列表

#ifndef KLanguage_KO
enum TErrorType
{
	ERR_INVALID								= -1,		//非法错误
	ERR_OK									= 0,		//无错误
	ERR_Exp_Lack							= 1,		//经验不足
	ERR_Upgrade_Award_Unlike				= 2,		//升级奖励异常
	ERR_Energy_Lack							= 3,		//体力值不足
	ERR_TimerEnergy_Obtain_Too_Early		= 4,		//时间体力值领取时间太早
	

    ERR_ParserJson                          = 5,        //解析Json错误
    ERR_MoneyHasAdd                         = 6,        //钱已经增加了
    ERR_IdError							    = 7,		//id错误
	ERR_GameMoney_Lack						= 8,		//金币不足
	ERR_VipLevel_Lack						= 9,		//VIP等级不足
	ERR_Ingot_Lack							= 10,		//钻石不足
	ERR_StrengthenScroll_Lack				= 11,		//强化卷轴不足
	ERR_ParserLua							= 12,		//lua文件解析错误
	ERR_Level_Lack							= 13,		//等级不足
	ERR_TIME_OUT							= 14,		//超时
	ERR_FALSE								= 15,		//返回失败
	ERR_ACCOUNT_VERIFY						= 16,		//账号验证中，请稍后再试
	ERR_ProductIdError                      = 17,       //产品id错误//Error in product id.
	ERR_Reputation_Lack						= 18,		//声望不足
	ERR_BuyEnergyMaxTimes					= 19,		//兑换体力已经达到最大次数
	ERR_BuyMoneyMaxTimes					= 20,		//兑换金币已经达到最大次数
	ERR_Function_Not_Open					= 21,		//此功能暂未开放
    
	// TODO, need modify comment.
	ERR_ACCOUNT_TOO_LONG					= 105,		//用户名太长
	ERR_ACCOUNT_ALREADY_LOGIN				= 106,		//账号已经登录
	ERR_PASSWORD_IS_NULL					= 107,		//密码为空
	ERR_ERROR_DEVICE_ID						= 108,		//设备号错误

	ERR_ERROR_PASSWORD_LENGTH				= 109,		//密码长度不符
	ERR_SERVER_FULL							= 110,		//服务器人数已满，请选择其他服务器进行注册
	ERR_UNKNOWN_CHANNEL						= 111,		//未知渠道
	ERR_CHECK_LOGIN_FAIL					= 112,		//账号登录验证失败

	ERR_REGISTER_ACCOUNT_FOUL				= 124,		//注册账号错误
	ERR_REGISTER_PASSWORD_FOUL				= 125,		//密码错误
	ERR_REGISTER_FALSE						= 126,		//注册失败
    ERR_REGISTER_NAME_DUPLICATE             = 127,      //名字已注册
    ERR_REGISTER_NAME_INVALID               = 128,      //用户名非法(名字不能包含特殊字符)
	ERR_ROLE_EXIST							= 129,		//角色已存在
	ERR_ROLE_ONLINE							= 130,		//角色在线
	ERR_ROLE_OFFLINE						= 131,		//角色不在线
	ERR_ROLE_SHIELD							= 132,		//角色已被屏蔽	
	ERR_ROLE_NOT_EXIST						= 133,		//角色不存在
	ERR_ACCOUNT_NAME_NOT_EXIST				= 134,		//用户名不存在
	ERR_REGISTER_NAME_TOO_LEN				= 135,		//用户名太长
	ERR_REGISTER_NAME_TOO_SHORT				= 136,		//用户名太短

    //切换服务器
    ERR_CHANGE_SERVER                       = 149,      //切换服务器



    
    //版本信息
    ERR_MAIN_VERSION                        = 150,      //版本更新，请先更新再登陆
    ERR_MINOR_VERSION                       = 151,      //版本更新，请先更新再登陆
	ERR_RESOURCE_VERSION					= 152,		//资源更新 
    
    // 战斗消息中的错误值定义
    ERR_IS_BATTLING				            = 200,      //角色正在战斗中
	ERR_IS_BUSYING							= 201,		//角色正忙，不能战斗
	ERR_DEFIANCE_INFO						= 202,		//挑战信息有误

    
    //竞技
    ERR_ARENA_FAIL                          = 300,      //竞技申请失败
	ERR_RANKING_CHANGE						= 301,		//名次发生变化，请重新选择
	ERR_OPP_BE_CHALLENGE					= 302,		//对方正在被挑战，请稍后再试
	ERR_ARENA_COLDING						= 303,		//竞技冷却中
	ERR_ARENA_TIMES_OVER					= 304,		//竞技次数已用完
  
    //装备物品
    ERR_Equip_Object                        = 400,      //装备武器失败
	ERR_Equip_NOT_EXIST						= 401,		//装备不存在
	ERR_Max_Strengthen_Level				= 402,		//已经达到最大强化等级
	ERR_Equip_Pos_ERROR						= 403,		//装备位置错误
	ERR_Equip_Has_Own						= 404,		//已经拥有此装备
	
    //技能
	ERR_Skill_NOT_EXIST						= 450,		//技能不存在
	ERR_Skill_REACH_MAX_LEVEL				= 451,		//技能已达到最大等级
	ERR_Skill_Equip_Over_Max_Num			= 452,		//技能最多装备6个
	ERR_Skill_Level_Lack					= 453,		//级别不足

    //任务
    ERR_SKIP_TASK_FAIL						= 500,      //跳过任务失败
    ERR_GAIN_TASK_AWARD_FAIL                = 501,      //任务奖励获取失败
    ERR_GOLD_UNENOUGH                       = 502,      //钻石不足，无法跳过。请补充钻石 

	//队伍相关
	ERR_TEAM_MEMBERS_REACHED_MAX_NUM		= 550,		//队伍超过最大人数
	ERR_NOT_EXIST_MEMBER_IN_TEAM			= 551,		//队伍成员不存在
	ERR_NOT_EXIST_TEAM						= 552,		//队伍不存在
	ERR_INT_TEAM							= 553,		//角色在队伍中

	//阵营战相关
	ERR_Camp_War_Closed						= 600,		//阵营战尚未开启
	ERR_Camp_Need_Level						= 601,		//等级不足，无法报名

	//护航相关
	ERR_ESCORT_REACH_MAX_TIME				= 650,		//护航已达到最大次数
	ERR_ROB_ESCORT_REACH_MAX_TIME			= 651,		//护航拦截已达到最大次数
	ERR_ESCORTING							= 652,		//护航进行中
	ERR_OPP_NOT_ESCORTING					= 653,		//申请对象押送已完成,请重新选择目标
	ERR_OPP_ROBBED_EMPTY					= 654,		//对方已经被抢光
	ERR_OPP_ESCORT_OVER						= 655,		//对方护航已结束
	ERR_ROB_COLDING							= 656,		//劫镖冷却中

	//抽奖相关
	ERR_LOTTERY_COLD_DOWN					= 700,		//抽奖冷却中
	ERR_INGOT_LOTTERY_MAX_TIMES				= 701,		//钻石抽奖已达到最大次数

	//地图相关
	ERR_MAP_ID_NOT_EXIST					= 750,		//地图不存在
	ERR_LESS_MAP_LEVEL						= 751,		//角色小于地图等级，无法进入

	//镶嵌宝石相关
	ERR_INLAY_POS_INVALID					= 800,		//位置无效
	ERR_INLAY_OBJ_NOT_EXIST					= 801,		//物品不存在
	ERR_SPAR_NOT_ENOUGH						= 802,		//晶石不足
	ERR_JEWEL_MAX_LEVEL						= 803,		//宝石已经达到最大级别
	ERR_POS_TYPE							= 804,		//位置类型错误
	ERR_BAG_FULL							= 805,		//宝石背包已满
	ERR_ATTR_SAME							= 806,		//已装备相同属性宝石，不能装备
	ERR_LOCK_PLACE							= 807,		//锁定的镶嵌孔
	ERR_ATTR_TYPE_SAME						= 808,		//这种宝石只能带一个

	//好友相关
	ERR_Role_In_Shield_List					= 850,		//角色已被屏蔽，不能加为好友
	ERR_Role_In_Friend_List					= 851,		//角色已是好友，不能屏蔽
	ERR_Role_Is_Friend						= 852,		//角色已是好友
	ERR_Role_Is_SHield						= 853,		//角色已被屏蔽
	ERR_Role_Max_Friend						= 854,		//最多添加100个好友
	ERR_Role_Max_Shield						= 855,		//最多添加100个屏蔽

	//邮件相关 
	ERR_MAIL_ERRORID						= 900,		//消息中的收件人ID与数据库的不一致 
	ERR_MAIL_NOTYPE							= 901,		//没有这个消息类型 
	ERR_MAIL_ALLUNHAVE						= 902,		//角色公共邮件列表中不存在
	ERR_MAIL_GATHER							= 903,		//附件已收取 
	ERR_MAIL_READ							= 904,		//邮件已读  
	ERR_MAIL_PAST_DUE						= 905,		//邮件已过期 

	//聊天
	ERR_ChatText_NULL						= 950,		//发送内容不能为空
	ERR_FindText_NULL						= 951,		//查找内容不能为空

	//阵营战
	ERR_Camp_Encourage_Full					= 1000,		//鼓舞已满

	//每日引导，每日奖励
	ERR_Daily_No							= 1050,		//没达到领取条件
	ERR_Reward_Received						= 1051,		//奖励已领取

	//包裹类道具 
	ERR_No_Object							= 1100,		//没有这个道具 

	//账号已经评论过
	ERR_Account_Reviewed					= 1200,		//该账号已经参与过评论，每个账号只能参与一次
	ERR_Create_Device_Review				= 1201,		//创建该账号的设备已经进行过评论

	//公会相关
	ERR_Guild_Not_Exist						= 1251,		//公会不存在或已解散
	ERR_Guild_Role_Apply_Max				= 1252,		//公会申请达到最大个数
	ERR_Guild_Guild_Apply_Max				= 1253,		//此公会申请人数过多，请尝试申请其他公会
	ERR_Guild_Name_Exist					= 1254,		//公会已存在
	ERR_Guild_In_Guild						= 1255,		//已经在公会中
	ERR_Guild_Max_Member_Num				= 1256,		//公会人数已满
	ERR_Guild_Limits_Lack					= 1257,		//权限不足
	ERR_Guild_NotInGuild					= 1258,		//不在此公会中
	ERR_Guild_InvalidPost					= 1259,		//无效的职位
	ERR_Guild_Post_Full						= 1260,		//职位已满
	ERR_Notice_Length_Limit					= 1261,		//超出长度限制
	ERR_Guild_FirstDay						= 1262,		//加入公会第一天不能使用此功能
	ERR_Guild_Feast_Got						= 1263,		//今日盛宴奖励已经领取过
	ERR_Guild_Prayed						= 1264,		//今日祭祀已完成
	ERR_Guild_Buy_Honour_MaxTimes			= 1265,		//今日购买荣誉已达最大次数
	ERR_Guild_Impeaching					= 1266,		//会长正被其他会员弹劾
	ERR_Guild_War_Signup_Full				= 1267,		//公会战报名已满
	ERR_Guild_Rank_Low						= 1268,		//公会名次不满足报名条件
	ERR_Guild_War_Over						= 1269,		//公会战报名已结束或尚未开启
	ERR_Guild_NotInTop16					= 1270,		//不在周排行16强以内
	ERR_Guild_NotInTop32					= 1271,		//不在周排行32强以内
	ERR_Guild_War_Self_Over					= 1272,		//您所在公会公会战轮空或已结束
	ERR_Guild_LevelLack						= 1273,		//公会等级不足
	ERR_Guild_Signed_Up						= 1274,		//您所在公会已报名


	//伙伴相关 
	ERR_Partner_Cold						= 1300,		//免费雇佣冷却中
	ERR_Partner_Times						= 1301,		//今日免费雇佣次数已用完
	ERR_Partner_Not_Have					= 1302,		//没有雇佣这个佣兵
	ERR_Partner_LVUP_Err					= 1303,		//升级佣兵异常
	ERR_Partner_LVUP_No_Money				= 1304,		//佣兵升级金钱不足
	ERR_Partner_Inherit						= 1305,		//传承佣兵异常
	ERR_Partner_Inherit_unTrain				= 1306,		//没有可传承的属性
	ERR_Partner_No_Msg_Type					= 1307,		//没有这个消息类型
	ERR_Partner_Star_Or_Quality				= 1308,		//等阶或品质不相符
	ERR_Partner_Star_Num					= 1309,		//材料佣兵个数异常
	ERR_Partner_Call						= 1310,		//雇佣佣兵失败
	ERR_Partner_Full						= 1311,		//佣兵仓库已满
	ERR_Partner_PayBag						= 1312,		//解锁完了呀
	ERR_Partner_MoneyCall					= 1313,		//金币雇佣次数已用完
	ERR_Partner_Static						= 1314,		//包含特殊佣兵不可以进行该操作

	//五灵珠
	ERR_Bead_Step_Limit						= 1350,		//其他属性没有长满以前不能进阶
	ERR_Bead_Level_Full						= 1351,		//灵珠属性等级已达目前最高等级
	ERR_Bead_Honour_Lack					= 1352,		//荣誉值不足

	//保卫王国 
	ERR_Guard_Not_Enough_Star				= 1400,		//剩余星数不足
	ERR_Guard_No_Map						= 1401,		//您还不能进行能力加成
	ERR_Guard_No_Reward						= 1402,		//您还没有得到奖励
	ERR_Guard_No_Times						= 1403,		//今日闯关次数已用完
	ERR_Guard_New_Xmo						= 1404,		//请重新打开界面
	ERR_Guard_No_Battle_Group				= 1405,		//不知道打谁啊

	//三星副本
	ERR_Copy_GetRewarFail					= 1406,		//未达到领取条件或已领取

	//激活码 推荐人 
	ERR_ACTIVE_CODE_NOT_EXISTS				= 1450,     //激活码不存在
	ERR_ACTIVE_CODE_EXPIRED					= 1451,		//激活码已经过期	
	ERR_ACTIVE_CODE_HAS_ACTIVED				= 1452,		//激活码已激活
	ERR_ACTIVE_CODE_ITEM_ACTIVED			= 1453,		//已经由另一个激活码激活过
	ERR_Recommend_Add_Null					= 1454,		//推荐号不能为空
	ERR_Recommend_Add_Already				= 1455,		//您已经填写过推荐号
	ERR_Recommend_Not_Exist					= 1456,		//请输入正确的推荐号

	ERR_End,
};
#endif
		
#endif //__XGLOBAL_ERROR_H__